Error in pop-up Editor | Admins Forum | Forums

Welcome to the GlobalSight forums. Raise topics for discussion or follow ongoing discussions to keep track of what’s going on.

Select the forum that you are most interested in and join the discussion. All forums are moderated and comments are reviewed before publishing.

Please consider registering
guest

Log In Register

Register | Lost password?
Advanced Search

— Forum Scope —

  

— Match —

   

— Forum Options —

   

Minimum search word length is 4 characters - maximum search word length is 84 characters

Topic RSS
Error in pop-up Editor
May 13, 2016
6:42 am
Amit Dave
Member
Forum Posts: 14
Member Since:
May 13, 2016
Offline

Hi, when our translator are using popup it takes time to load.

If translator click on target segment. A new window opens but the source string is not coming (reflecting as LOADING...)

Even next segment, save are not working please assist me...

May 16, 2016
7:01 am
Ivy
Member
Forum Posts: 13
Member Since:
November 5, 2014
Offline

Which GlobalSight version are you installed?

The most common reason is the applet on popup editor cannot run properly.

Popup Editor and Inline Editor requires the latest JRE installed on client side for GlobalSight 8.6 and earlier build.

P.S. applet on these editors has been removed from GS 8.6.7.

May 18, 2016
7:05 am
Amit Dave
Member
Forum Posts: 14
Member Since:
May 13, 2016
Offline

Version: 8.5.6 Build 20140808

I have to use firefox only on my windows 10 64bit OS. I have java 8 update latest JRE etc. Still facing issues. There is no space to upload error image file.

Will you please provide me the settings of JAVA in OS.

PLease help

May 18, 2016
11:03 am
Ivy
Member
Forum Posts: 13
Member Since:
November 5, 2014
Offline

Please check the JRE version, 32bit or 64bit, installed on your system. Since Firefox for Windows is 32bit application, you need install 32bit JRE.

Search Java > Configure Java in all apps or via Cortana. When Java Control Panel is launched, select Java tab and click View button to check which Java version was installed.

You can use the default settings to install JRE, no special configuration needed.

If there still has issue with the editor, then select Advanced tab and check Enable Trancing and Enable logging.

Next time you open Segment Editor with Firefox, the Java Control Panel will be invoked. Check if there are any exception in it.

Hope this works.

May 19, 2016
2:32 am
Ivy
Member
Forum Posts: 13
Member Since:
November 5, 2014
Offline

It seems I missed another important thing. If Firefox says application blocked by Java Security, add your globalsight url to Exception Site List in Security tab of Java Control Panel, e.g. http://localhost, http://192.168.1.111:8080.

May 19, 2016
4:45 am
Amit Dave
Member
Forum Posts: 14
Member Since:
May 13, 2016
Offline

Thanks for your reply, I just updated to 32bit JRE but still the issue is there only.

No exception nothing. Even you mentioned about exception site list in security tab. Also I added my site there.

What to do now.

I am clicking on Revert button then the source is coming otherwise it is still loading ..

for saving the data i have to click on close then automatically that translated string stores in DB.

previous & next button is not working.

please check and assist me

May 19, 2016
3:33 pm
Karol Moran
Admin
Forum Posts: 42
Member Since:
October 28, 2014
Offline

Hi, you are running a version of GlobalSight which is quite old. There will be issues running the latest java version with 8.5.6.

You can try downgrading your jre to 1.6 but may have issues in modern browsers blocking it due to being out of date/unsecure.

You should consider updating GlobalSight to the latest public release 8.6.7, suggest you do in a sandbox before doing a direct upgrade to your current system.

Note: 8.6.7 will require upgrading the java version on the server to 1.8 as well as config file changes. Please refer to instuctions @ http://www.globalsight.com/wiki/index.php/Upgrading_GlobalSight

May 20, 2016
2:30 am
Ivy
Member
Forum Posts: 13
Member Since:
November 5, 2014
Offline

In Java Console Panel's Advanced tab, also check Show console under Java console, otherwise the Java console won't show.

Some more checks:
Can the pop-up editor run with IE 11 on Windows 10?
Is Java plugin disabled by Firefox?
How about inline editor? Right click the target file link and select open in inline editor.

May 20, 2016
5:19 am
Amit Dave
Member
Forum Posts: 14
Member Since:
May 13, 2016
Offline

Hi,
both of you thanks assisting me..In IE on windows 10 is working fine.

In firebug it shows error on
TypeError: applet.setLocale is not a function
applet.setLocale(uilocale);

function init()
{
fr_topmenu = menu;
fr_editor = editor;
fr_source = editor.source;
fr_target = editor.target;
fr_tm = editor.tm;

applet = fr_target.document.applet;
applet.setLocale(uilocale); (IN THIS LINE ERROR)
applet.setDataType(datatype);
PLease check

May 20, 2016
6:30 am
Ivy
Member
Forum Posts: 13
Member Since:
November 5, 2014
Offline
10

Perhaps I can show you a workaround.

On Firefox > Options > Content panel, you can temporarily change the default language to en-us.

May 23, 2016
10:04 am
Amit Dave
Member
Forum Posts: 14
Member Since:
May 13, 2016
Offline
11

as i mentioned it`s working in IE but only Inline editor TM is not wrking. EVen in Firefox same ..please assist

Forum Timezone: UTC 0

Most Users Ever Online: 69

Currently Online:
3 Guest(s)

Currently Browsing this Page:
1 Guest(s)

Top Posters:

Alexandre De Sena Viegas: 18

Amit Dave: 14

Ivy: 13

Yves Savourel: 13

Emre Akkas: 12

Ayman Kh: 11

Anthony Kenny: 9

RK: 7

Li Jiayi: 4

biviel biviel: 4

Member Stats:

Guest Posters: 0

Members: 381

Moderators: 1

Admins: 3

Forum Stats:

Groups: 1

Forums: 4

Topics: 67

Posts: 207

Newest Members: vijay sharma, Grace A Gakpetor, Anna Doladé, Iezzi Michele, Zoltan Posner, Laia Amores, tojasade tojasade, Rodrigo Avellar, pandit shaktinath, luca monica

Moderators: Karol Moran_1: 0

Administrators: waxingmedia: 3, Karol Moran: 42, gsteam: 0